FOAMTOENSIGHTPARTS(1)

NAME
foamToEnsightParts - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
foamToEnsightParts [OPTIONS]

DESCRIPTION
Translate OpenFOAM data to Ensight format with an Ensight part for each cellZone
and patch.

OPTIONS

-ascii
    Write in ASCII format instead of 'C Binary'

-case dir
    Specify case directory to use (instead of the cwd)

-constant
    Include the 'constant/' dir in the times list

-fields wordRes
    Specify single or multiple fields to write (all by default) Eg, 'T' or '( "U.*" )'

-index start
    Ignore the time index contained in the uniform/time file and use simple indexing when creating files

-latestTime
    Select the latest time

-name subdir
    Sub-directory name for Ensight output (default: 'Ensight')

-no-lagrangian
    Suppress writing lagrangian positions and fields

-no-mesh
    Suppress writing the geometry. Can be useful for converting partial results for a static geometry

-noZero
    Exclude the '0/' dir from the times list

-region name
    Specify alternative mesh region

-time ranges
    List of ranges. Eg, ':10,20 40:70 1000:', 'none', etc

-width n
    Width of Ensight data subdir

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-noFunctionObjects
    Do not execute function objects

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-noLagrangian (now -no-lagrangian)
    The option was last used in 1806.

-noMesh (now -no-mesh)
    The option was last used in 1806.

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.